/*
* Per ridefinire gli stili, su un particolare progetto verticalizzato, è possiblile intervenire 
* ridefinedo le classi in questo file (sul progetto verticalizzato)  
* mdb
*/

/* pulsanti css ricerca verbali con interlina minore */
a.myCssButton{
	line-height: 1.1;
}
a.myCssButtonRC {
	line-height: 1.1;
}

/* per avere banda colorata sotto il logo in alto nella pagina*/
.container .mainLogo {
	background-image: url(../images/bg_top_logo.jpg);
	--padding-left: 10%;
	--background-color:  #204796; 
    --background-repeat: no-repeat !important;
    --background-size: 10%;
}



/*radiobutton centrati con imagine selettore blu bootstrap italia*/
span.ui-radiobutton-icon {
	margin-left: 0px;
	margin-top: -1px;
}
.ui-state-active .ui-icon {
  background-image: url("../images/ui-icons_mioblu-boostrapitalia_256x240.png?ln=primefaces-redmond&v=11.0.0") !important;
}
.main .ui-widget-content {
    background-color: white;
}

.ui-corner-all.ui-widget-content{
	background: white;
	 background-color: white;
}


.ui-menu .ui-menuitem-text {  
    color: white;
}
.container {
    background-color: white;
}

html, body {
	background-color: white;
	background-image: none;
	background-repeat: repeat-x;
}

/* menu senza bordo quando cliccati*/
.ui-menuitem a.ui-menuitem-link {
	border-color: none !important;
	box-shadow: none !important;
	outline: none !important;
 border: none !important;
}


/* pulsanti blue*/

button.ui-button.ui-widget {
  background-color: #005cb3 !important;
  color: #fff !important;
  background: none;
  background-color: rgba(0, 0, 0, 0);
  border: 1px solid #c5dbec;
}

/* pulsanti ed inpuit con effetto corince sul focus*/

button.ui-button.ui-state-focus{
	box-shadow: inset 0 0px 0 rgb(255 255 255), 0 1px 1px rgb(0 0 0 / 8%), 0 0 0 0.2rem rgba(0,92,179,0.5) !important;
	border-color: #4896cf !important;
}
button.ui-button.ui-state-focus .ui-c {
	 color: #2e6e9e !important;
}
/*
button.ui-button .ui-icon {
	background-image: none;
}
*/

input.ui-inputfield.ui-state-focus{
	box-shadow: inset 0 1px 0 rgb(255 255 255), 0 1px 1px rgb(0 0 0 / 8%), 0 0 0 0.2rem rgba(0,92,179,0.5) !important;
	border-color: #4896cf !important;
}


/* menu testo bianco con underline su hover */

.ui-menubar.myMenubar .ui-state-hover {
	background: #015EAB !important;
}

.ui-menu .ui-menuitem-active .ui-menuitem-text {    
    color: white;
    text-decoration: underline;
}


/* per non visualizzare le icone del menu*/
#formMenu .fa-fw   {
	display: none;
}

/* per non visualizzare la selezioen del radio centrata*/
.ui-radiobutton-icon {
  margin-top: -1px;
}

.myCountryImg {
	vertical-align: baseline;
}

/* per avere la sezioen in alto a dx, "Accedi all'area personale, ben inglobata nella banda blu scuro */
a.btn-personal {
  height: fit-content;

  padding-top: -10px;

  line-height: 0px;
  }


/* per avere banda colorata su tutta la lunghezza in alto nella pagina "*/
div.container {
  padding-top: 0px;
  max-width: 100%;
  margin: 0 auto;
  padding-left: 0px;
  padding-right: 0px;
}


/* per avere il logo allineato come nella pagina del protale*/
.mainLogo{
 	padding-right: 39%;
   background-color:#204796;
}

/*Prendo tutta la pagina in larghezza*/
.mainform {
	padding-top: 0px;
	max-width : 100%;
	margin: 0 auto;
}
/*il contenuto dei dati prende 80% della larghezza*/
.main {
	padding-top: 0px;
	width: 80%;
	margin: 0 auto;
}

.header {
	background-image: none;
	padding-top: 0px;
	height: 100px;
	min-height: 100px;
}



/* personalizzazione menu inizio*/
.ui-menubar.myMenubar {
	background: #204796;
	position: relative;
	font-size: 19px !important;
	width: auto;
	height: auto;
	padding-top: 20px;
  padding-bottom: 12px;
	padding-left: 18%;
}


.ui-menubar.myMenubar .ui-state-hover {
	background: #204796 !important;
}

	/* no bordi arrotondati nel menu*/
/**/
.ui-corner-all.myMenubar {

	border-radius: 0px !important;
}

.ui-menu .ui-menuitem-text {
	color: white;
}


/*
* N.B. Abilitati primefaces.FONT_AWESOME come context-param nel web.xml per permettere modifica a colore icone fa (ui-icon sono immagini con colore fisso in base al tema scelto)
*/
.fa {
	color: white;
	font-size: 17px !important;
	padding-right: 5px;
}

/*
* il menu lingue spostato verso sinistra
*/
.myMenuOption {
	padding-right :175px;
}

/* personalizzazione menu fine*/